It is easy to know the angle of a line, but it is difficult to know the angle of a polyline because it has many nodes.
I haven't read all of them, but his code has very clear structure,
so, It can be applied with very little modifications.
approx. 403 line, you have to add "ANGLE"
(setq tStr (strcat "{\\C4;" (dxf 0 iLst) "}"))
(foreach prop
'(
ANGLE
LAYER
COLOR
LINETYPE
LINEWEIGHT
even if put only these 5 characters
then test it, the radian angle will appear.
and if you want degree,
you have to add these 4 lines
(
(eq prop 'ANGLE)
(vl-princ-to-string (* 180 (/ (vlax-get-property iObj prop) pi)))
)
in approx. 450 line, inside of (cond~~)
like this
(cond
(
(eq prop 'COLOR)
(_GetColour iLst)
)
(
(eq prop 'ANGLE)
(vl-princ-to-string (* 180 (/ (vlax-get-property iObj prop) pi)))
)
(
(vl-position prop '(DISPLAYLOCKED CLOSED))
(_Stringify (vlax-get-property iObj prop))
)